Skip to main content
GET
/
ai
/
projects
/
{project_id}
/
board
/
items
/
{item_id}
/
events
List board item events
curl --request GET \
  --url https://api.wacht.dev/ai/projects/{project_id}/board/items/{item_id}/events \
  --cookie __session=
{
  "status": 123,
  "message": "<string>",
  "session": {
    "id": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  },
  "errors": [
    {
      "code": "<string>",
      "message": "<string>"
    }
  ],
  "data": {
    "limit": 123,
    "has_more": true,
    "next_cursor": "<string>",
    "data": [
      {
        "id": "<string>",
        "board_item_id": "<string>",
        "thread_id": "<string>",
        "execution_run_id": "<string>",
        "event_type": "<string>",
        "summary": "<string>",
        "body_markdown": "<string>",
        "details": {},
        "created_at": "2023-11-07T05:31:56Z"
      }
    ]
  }
}

Authorizations

__session
string
cookie
required

Path Parameters

project_id
string
required
item_id
string
required

Query Parameters

include_archived
boolean
limit
integer
cursor
string

Response

200 - application/json

Board item event page

status
integer
message
string
session
object
errors
object[]
data
object